// --- gtnature.inc ---

#if (0)
#declare SlopeSnow   = 0.60;  // 1st (original)
#declare SlopeRocks  = 0.65;
#declare SlopeTrees  = 0.70;
#declare SlopeWeeds  = 0.75;
#declare SlopeSand   = 0.80;
#declare SlopeWater  = 0.85;
#else
#declare SlopeSnow   = 0.95; // 2nd
#declare SlopeRocks  = 0.85;
#declare SlopeTrees  = 0.75;
#declare SlopeWeeds  = 0.65;
#declare SlopeSand   = 0.55;
#declare SlopeWater  = 0.45;
#end

// #declare ColSnow     = color rgb <0.85, 0.85, 0.85>;  // bright white snow
#declare ColSnow     = color rgb <0.36, 0.38, 0.40>;
#declare ColRocks    = color rgb <0.32, 0.34, 0.36>;
#declare ColTrees    = color rgb <0.00, 0.20, 0.05>;
#declare ColWeeds    = color rgb <0.05, 0.25, 0.10>;
#declare ColSand     = color rgb <130/255, 110/255, 100/255>;
#declare ColSandMed  = color rgb <115/255, 100/255,  95/255>;
#declare ColSandDk   = color rgb <100/255,  95/255,  85/255>;

// #declare ColWater    = color rgb <0.10, 0.50, 0.70>;  // bright blue water
// #declare ColWater    = color rgbt <0.15, 0.40, 0.65, 0.25>; // sunny day pool water

// equivalent
// #declare ColWater    = color rgbt <0.05, 0.15, 0.25, 0.25>; // sunset beach water
// #declare ColWater    = color rgbt <13/255, 38/255, 64/255, 0.25>; // sunset beach water

#declare ColWater    = color rgbt <10/255, 25/255, 35/255, 0.10>;

#declare TexSnow     = texture { pigment { ColSnow    } }

#declare TexRocks    =
texture {
   pigment {
      granite
      turbulence 2.00 // 0.20
      color_map {
         [0.00, 0.66 color ColSand color ColSandMed ]
         [0.66, 1.00 color ColSandMed color ColSandDk]
      }
      scale 0.025
   }
}

#declare TexSand     =
texture {
   pigment { ColSand    }
   normal {
      ripples 0.10
      turbulence 0.30
      frequency 10
   }
   finish {
      roughness 0.3
   }
}

#declare TexTrees    =
texture {
   pigment { ColTrees   }
   normal {
      wrinkles 0.50
      // turbulence 0.75
      turbulence 0.80
      frequency 3.0
   }
   finish { roughness 0.9 }
}

#declare TexWeeds    =
texture {
   pigment { ColWeeds   }
   normal {
      wrinkles 0.40
      turbulence 0.65
      frequency 7.0
   }
   finish { roughness 0.7 }
}

#declare TexWater    =
texture {
   pigment { ColWater   }
   normal {
      // waves 0.5
      // ripples 0.50   // too busy
      // ripples 0.20   // reflections reach too far
      ripples 0.15
      // turbulence 1.2
      turbulence 1.5
      // frequency 1.5
      frequency 1.25
   }

#if (1)
   finish {
      ambient 0.2
      diffuse 0.3
      specular 0.75
      reflection 0.45
      phong 0.90
      // phong_size 3.50
      roughness 0.30
      metallic
   }
#end
}

// --- end gtnature.inc ---
